//+------------------------------------------------------------------+
//|                                                 xoindatr_123.mq4 |
//|                                                                  |
//|                                                                  |
//+------------------------------------------------------------------+
#property copyright ""
#property link      ""

#property indicator_separate_window
#property indicator_buffers 2
#property indicator_color1  Blue
#property indicator_color2  Red

extern int TimeFrame=0;
extern int Per=14;
extern int count_bars=500;

double ExtBuffer1[];
double ExtBuffer2[];

int init() {
   IndicatorBuffers(2);
   SetIndexStyle(0,DRAW_HISTOGRAM);
   SetIndexBuffer(0,ExtBuffer1);
   SetIndexStyle(1,DRAW_HISTOGRAM);
   SetIndexBuffer(1,ExtBuffer2);
   IndicatorDigits(Digits);
   IndicatorShortName("Xoindatr MTF("+Per+")");
   SetIndexLabel(0,"Xoindatr");
   SetIndexLabel(1,"Xoindatr");
   return(0);
  }
int deinit() {
   return(0);
}
int start() {
   int limit,y;
   int counted_bars=IndicatorCounted();
   if(counted_bars<0) return(-1);
   if(counted_bars>0) counted_bars--;
   limit=MathMin(count_bars,Bars-counted_bars);
   for(int i=0; i<limit+TimeFrame/Period(); i++) {
      y=iBarShift(NULL,TimeFrame,Time[i]);
      ExtBuffer1[i]=iCustom(NULL,TimeFrame,"xoindatr_123",Per,0,y);
      ExtBuffer2[i]=iCustom(NULL,TimeFrame,"xoindatr_123",Per,1,y);
      }
   return(0);
  }

